Skip to main content
GET
Get user by ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

user_id
string<uuid>
required

The ID of the user.

Response

The requested User.

User Object

Description

The User object is used to represent a user.

Usage Example

Fetch from the LIST Sessions endpoint.

user_id
string<uuid>
required

The ID of the user.

Example:

"h0z968412-2451-4bbd-42h4-057l715d917m"

email
string
required

The email of the user.

Example:

"john.doe@company.dev"

full_name
string
required

The full name of the user.

Example:

"John Doe"

first_name
string
required

The first name of the user.

Example:

"John"

last_name
string
required

The last name of the user.

Example:

"Doe"

position
string
required

The user's position.

Example:

"Senior Engineer"

manager_id
string<uuid> | null

The ID of the user's manager. Null if the user has no manager.

Example:

"29827fb8-f2dd-4e80-9576-28e31e9934ac"

hr_idp_status
enum<string>

User status pulled from an HR/IDP provider.

Available options:
ACTIVE,
SUSPENDED,
DEPROVISIONED,
DELETED,
NOT_FOUND
Example:

"ACTIVE"

Last modified on September 20, 2026